# Yahoo! UI Library

### Charts Widget 2.6.0

Yahoo! UI Library > charts > YAHOO.widget.TimeAxis

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.TimeAxis

A type of axis whose units are measured in time-based values.

### Constructor

YAHOO.widget.TimeAxis `( )`

### Properties

#### majorTimeUnit `- String`

The time unit used by the majorUnit.

#### majorUnit `- Number`

The spacing between major intervals on this axis.

#### maximum `- Number`

The maximum value drawn by the axis. If not set explicitly, the axis maximum will be calculated automatically.

#### minimum `- Date`

The minimum value drawn by the axis. If not set explicitly, the axis minimum will be calculated automatically.

#### snapToUnits `- Boolean`

If true, the labels, ticks, gridlines, and other objects will snap to the nearest major or minor unit. If false, their position will be based on the minimum value.

#### stackingEnabled `- Boolean`

Series that are stackable will only stack when this value is set to true.

Copyright © 2008 Yahoo! Inc. All rights reserved.